org.keycloak.utils

## Class CredentialHelper

- java.lang.Object
- - org.keycloak.utils.CredentialHelper

-     public class CredentialHelper
      extends Object

  used to set an execution a state based on type.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `createOTPCredential(KeycloakSession session, RealmModel realm, UserModel user, String totpCode, OTPCredentialModel credentialModel)` Create OTP credential either in userStorage or local storage (Keycloak DB)
    `static CredentialRepresentation` | `createUserStorageCredentialRepresentation(String credentialProviderType)` Create "dummy" representation of the credential.
    `static void` | `deleteOTPCredential(KeycloakSession session, RealmModel realm, UserModel user, String credentialId)`
    `static ConfigurableAuthenticatorFactory` | `getConfigurableAuthenticatorFactory(KeycloakSession session, String providerId)`
    `static void` | `setAlternativeCredential(KeycloakSession session, String type, RealmModel realm)`
    `static void` | `setOrReplaceAuthenticationRequirement(KeycloakSession session, RealmModel realm, String type, AuthenticationExecutionModel.Requirement requirement, AuthenticationExecutionModel.Requirement currentRequirement)`
    `static void` | `setRequiredCredential(KeycloakSession session, String type, RealmModel realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialHelper

          public CredentialHelper()

  - ### Method Detail

    - #### setRequiredCredential

          public static void setRequiredCredential(KeycloakSession session,
                                                   String type,
                                                   RealmModel realm)

    - #### setAlternativeCredential

          public static void setAlternativeCredential(KeycloakSession session,
                                                      String type,
                                                      RealmModel realm)

    - #### setOrReplaceAuthenticationRequirement

          public static void setOrReplaceAuthenticationRequirement(KeycloakSession session,
                                                                   RealmModel realm,
                                                                   String type,
                                                                   AuthenticationExecutionModel.Requirement requirement,
                                                                   AuthenticationExecutionModel.Requirement currentRequirement)

    - #### getConfigurableAuthenticatorFactory

          public static ConfigurableAuthenticatorFactory getConfigurableAuthenticatorFactory(KeycloakSession session,
                                                                                             String providerId)

    - #### createOTPCredential

          public static boolean createOTPCredential(KeycloakSession session,
                                                    RealmModel realm,
                                                    UserModel user,
                                                    String totpCode,
                                                    OTPCredentialModel credentialModel)

      Create OTP credential either in userStorage or local storage (Keycloak DB)
      Returns:
        true if credential was successfully created either in the user storage or Keycloak DB. False if error happened (EG. during HOTP validation)

    - #### deleteOTPCredential

          public static void deleteOTPCredential(KeycloakSession session,
                                                 RealmModel realm,
                                                 UserModel user,
                                                 String credentialId)

    - #### createUserStorageCredentialRepresentation

          public static CredentialRepresentation createUserStorageCredentialRepresentation(String credentialProviderType)

      Create "dummy" representation of the credential. Typically used when credential is provided by userStorage and we don't know further details about the credential besides the type
      Parameters:
        `credentialProviderType` -
      Returns:
        dummy credential

Copyright © 2020 JBoss by Red Hat. All rights reserved.